#include <Client/SceneManager.hpp>
#include "Client/Scene.hpp"


namespace CaveGame::Client
{
    void SceneManager::ChangeScene(Scene* new_scene)
    {
        next_scene = new_scene;

        //if (current_scene != nullptr)
        //    current_scene->Unload();

        //current_scene = new_scene;
        //current_scene->Load();
    }

    void SceneManager::UpdateSceneState(float elapsed)
    {
        if (next_scene != nullptr)
        {
            if (current_scene != nullptr)
            {
                current_scene->Unload();
                prev_scene = current_scene;
            }

            current_scene = next_scene;
            current_scene->Load();


            next_scene = nullptr;
        }
    }

    Scene* SceneManager::CurrentScene() { return current_scene; }
}