#pragma once

#include <vector>
#include <string>
#include <functional>

namespace CaveGame::ClientApp {

    using CommandArgs = std::vector<std::string>;

    struct Command {
        std::string name;
        std::vector<std::string> aliases;
        std::function<void(CommandArgs)> callback;
    };
}
