#pragma once

namespace CaveGame::Core
{

    class Furniture {

    };

    /// Furniture objects are multi-tile structures that aren't **necessarily** furniture in the normal sense, many are.
    /// Furniture can be considered the CaveGame Engine's term for a contiguous structure that is larger than one tile.
    /// This is differentiated from a generated structure in that each pixel of a Furniture object is bound to the whole, and cannot be broken in isolation.
    namespace Furnitures {
        static const Furniture Door;
        static const Furniture TrapDoor;
        static const Furniture Chair;
        static const Furniture Table;
        static const Furniture Workbench;
        static const Furniture Campfire;
        static const Furniture Barrel;
        static const Furniture Safe;
        static const Furniture Chest;
        static const Furniture Furnace;
        static const Furniture Fireplace;
        static const Furniture Anvil;
        static const Furniture HeavyWorkbench;
        static const Furniture Grindstone;
        static const Furniture BlastFurnace;
        static const Furniture Printer3D;
        static const Furniture CookingPot;
        static const Furniture AlchemyStation;
        static const Furniture ChemistrySet;
        static const Furniture Bed;
        static const Furniture PiggyBank;
        static const Furniture Shelf;
        static const Furniture Ladder;
        static const Furniture Painting;
        static const Furniture Signpost;
        static const Furniture Blackboard;
        static const Furniture Fridge;
        static const Furniture Cooler;

        static const Furniture Torch;
        static const Furniture Lantern;
        static const Furniture Candle;
        static const Furniture Bottle;
        static const Furniture CoffeeMug;
        static const Furniture BeerMug;
        static const Furniture Book;
        static const Furniture
    }

}