#include <Core/Entity.hpp>

CaveGame::Core::Entity::Entity(const Vector2 &spawnPoint) {
    position = spawnPoint;
}

int CaveGame::Core::Entity::Health() const { return health; }

int CaveGame::Core::Entity::MaxHealth() const { return max_health; }

Vector2 CaveGame::Core::Entity::Position() const { return position;}

Vector2 CaveGame::Core::Entity::Size() const { return bounding_box;}

void CaveGame::Core::Entity::SetNoclip(bool value) {
    this->noclip = value;
}

bool CaveGame::Core::Entity::IsNoclip() const { return this->noclip; }
