#include <Core/Entity.hpp>
#include <Core/Player.hpp>

namespace CaveGame::Core {

    Player::Player(const Vector2 &spawnPoint): Humanoid(spawnPoint) {
        bounding_box = {10, 24};
        texture_center = {8, 12};
    }

    // TODO: This is ridiculously dumb and weird.
#ifndef _WIN32
    void Player::Draw() {}
    void Player::Update(float elapsed) {}
#endif

    void Player::PhysicsUpdate(float elapsed) {
        Humanoid::PhysicsUpdate(elapsed);
    }
}