#include <cinttypes>
#include <Core/Serialization.hpp>
#pragma once

namespace CaveGame::Core
{
    class Serializable {
        virtual std::size_t SizeInBytes() = 0;
        virtual ByteBuffer& Serialize(ByteBuffer& b) = 0;
        virtual ByteBuffer& Deserialize(ByteBuffer& b) = 0;
    };
}